# ReFS Metadata Extractor
This program is used to generate the artifacts needed to fuzz the ReFS driver with ReFuzz. As input a valid ReFS formatted VHD is needed.
 
## Usage
```
python extract_pages.py 128 /path/to/refs.vhd 
```
* first parameter is the offset to the refs partition in sectors
* second paramter is the target refs VHD image
* script will produce several artifacts:
    * ``<shasum>_compressed.img``: extracted metadata; will be used as starting payload for the fuzzer
    * ``<shasum>_checksums.txt``: adresses of the checksums present on the ReFS image; will be used from the refs mutator to correct them after payload mutation
    * ``<shasum>_dup_pages.txt``: adresses of duplicated tables present on the ReFS image; can be used from the refs mutator to correct them after payload mutation
    * ``<shasum>_translation_table.txt``: translation info to be able to copy metadata back to full size ReFS image

